﻿using System;
using System.Collections;
/// <summary>
///ShoppingCart 的摘要说明
/// </summary>
[Serializable]
public class ShoppingCart
{
    private Hashtable _cartItems = new Hashtable();
    //获取购物车中的所有商品
    public ICollection CartItems {
        get {
            return _cartItems.Values;
        }
    }
    //获取商品总价
    public decimal Total {
        get {
            decimal sum = 0;
            foreach (CartItem item in _cartItems.Values) {
                sum += item.Price * item.Quantity;
            }
            return sum;
        }
    }
    //购物车中添加商品
    public void AddItem(int id, String name, decimal price) {
        CartItem item = _cartItems[id] as CartItem;
        if (item == null) {
            _cartItems.Add(id, new CartItem(id, name, price));
        }
        else {
            item.Quantity = item.Quantity + 1;
            _cartItems[id] = item;
        }
    }
    //从购物车中删除商品
    public void RemoveItem(int ID) {
        CartItem item = _cartItems[ID] as CartItem;
        if (item == null) {
            return;
        }
        else {
            item.Quantity = item.Quantity - 1;
            _cartItems[ID] = item;
            if (item.Quantity == 0) {
                _cartItems.Remove(ID);
            }
           
        }
    }
}
