﻿using System;

public partial class MemberPages_Shopping : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack) {
            BindShoppingCart();
        }
    }
    //利用 Profile 为购物车绑定选定商品信息
    private void BindShoppingCart() {
        if (Profile.myShoppingCart != null) {
            GridView2.DataSource = Profile.myShoppingCart.CartItems;
            GridView2.DataBind();
            Label1.Text = "总价：" + Profile.myShoppingCart.Total.ToString("C");
        }
    }
    //添加商品到购物车
    protected void GridView1_SelectedIndexChanged(object sender, EventArgs e) {
        //获得商品名称
        String name = GridView1.SelectedRow.Cells[1].Text;
        //获得商品价格
        decimal price = Decimal.Parse(GridView1.SelectedRow.Cells[2].Text, System.Globalization.NumberStyles.Currency);
        //获得商品ID
        //int id = (int)GridView1.DataKeys[GridView1.SelectedIndex].Value;
        int id = (int)GridView1.SelectedValue;
        if (Profile.myShoppingCart == null) {
            Profile.myShoppingCart = new ShoppingCart();
        }
        Profile.myShoppingCart.AddItem(id, name, price);
        BindShoppingCart();
    }
    //在购物车中删除商品
    protected void GridView2_SelectedIndexChanged(object sender, EventArgs e) {
        int id = (int)GridView2.SelectedValue;
        Profile.myShoppingCart.RemoveItem(id);
        BindShoppingCart();
    }
}
